Bug 1144220 - Incorrect string for Character Entities in catalog
Summary: Incorrect string for Character Entities in catalog
Keywords:
Status: CLOSED EOL
Alias: None
Product: Fedora
Classification: Fedora
Component: docbook-dtds
Version: 23
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Ondrej Vasik
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2014-09-19 03:30 UTC by Jeff Fearn 🐞
Modified: 2016-12-20 12:53 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-12-20 12:53:46 UTC
Type: Bug


Attachments (Terms of Use)

Description Jeff Fearn 🐞 2014-09-19 03:30:32 UTC
Description of problem:
The catalog entry for Character Entities has ' XML' in the string, this is incorrect and prevents matching.

Version-Release number of selected component (if applicable):
docbook-dtds-1.0-62.fc20.noarch

How reproducible:


Steps to Reproduce:
1. Add a reference to "DocBook Character Entities" to your XML file
2. process it


Actual results:
Can't resolve '-//OASIS//ENTITIES DocBook Character Entities V4.5//EN'

Expected results:
Resolution.

Additional info:

The correct string from the mod file:

$ grep 'Character Entities' /usr/share/sgml/docbook/xml-dtd-4.5/dbcentx.mod
      "-//OASIS//ENTITIES DocBook Character Entities V4.5//EN"


The incorrect string from the catalog file:

$ grep 'Character Entities' /etc/sgml/docbook/xmlcatalog
<public publicId="-//OASIS//ENTITIES DocBook XML Character Entities V4.1.2//EN" uri="/usr/share/sgml/docbook/xml-dtd-4.1.2/dbcentx.mod"/>
<public publicId="-//OASIS//ENTITIES DocBook XML Character Entities V4.2//EN" uri="/usr/share/sgml/docbook/xml-dtd-4.2/dbcentx.mod"/>
<public publicId="-//OASIS//ENTITIES DocBook XML Character Entities V4.3//EN" uri="/usr/share/sgml/docbook/xml-dtd-4.3/dbcentx.mod"/>
<public publicId="-//OASIS//ENTITIES DocBook XML Character Entities V4.4//EN" uri="/usr/share/sgml/docbook/xml-dtd-4.4/dbcentx.mod"/>
<public publicId="-//OASIS//ENTITIES DocBook XML Character Entities V4.5//EN" uri="/usr/share/sgml/docbook/xml-dtd-4.5/dbcentx.mod"/>

Comment 1 Ondrej Vasik 2014-09-19 10:46:42 UTC
Strange, the entries in /etc/sgml/catalog are just fine...

1) /etc/sgml/catalog pointing to various /etc/sgml/xml-docbook*.cat files.
2) /etc/sgml/xml-docbook*.cat pointing to /usr/share/sgml/docbook/xml-dtd-*/catalog
3) /usr/share/sgml/docbook/xml-dtd-*/catalog contains the public entry to PUBLIC "-//OASIS//ENTITIES DocBook Character Entities V4.XXX//EN" "dbcentx.mod" ... this seems to be just fine to me.

However, you are right /etc/sgml/docbook/xmlcatalog contains all the entries with " XML" - so if your report is correct, I believe almost all strings there are wrong. Let me check what is the correct ways, I believe other distros using the same thing.

Comment 2 Ondrej Vasik 2014-09-19 11:07:14 UTC
To prevent some misunderstanding - can you please provide your example xml file and the command you are using to process it? Thanks...

Comment 3 Jeff Fearn 🐞 2014-09-22 00:04:01 UTC
Hi, this is part of the docs building process, I don't have a standalone test ATM. So you need to try and build publican from the devel branch in git :(

It relates to https://bugzilla.redhat.com/show_bug.cgi?id=1143060 which is that the extra ' XML ' we had in the Users Guide broke the build on Debian.

I ran this on my laptop to get it working:

$ sudo xmlcatalog --noout --add "public" "-//OASIS//ENTITIES DocBook Character Entities V4.5//EN" "/usr/share/sgml/docbook/xml-dtd-4.5/dbcentx.mod" /etc/xml/catalog

Comment 4 Jeff Fearn 🐞 2014-09-26 02:17:48 UTC
Small test case:

$ perl -e 'use XML::TreeBuilder; $xml_doc = XML::TreeBuilder->new(); $xml_doc->parse(<<EOL);
<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE info [
<!ENTITY % sgml.features "IGNORE">
<!ENTITY % xml.features "INCLUDE">
<!ENTITY % DOCBOOK_ENTS PUBLIC "-//OASIS//ENTITIES DocBook Character Entities V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/dbcentx.mod">
%DOCBOOK_ENTS;
]>
<info version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink">
<title>Test</title>
 <subtitle>Test&nbsp; DocBook Entity</subtitle>
</info>
EOL
'
Can't resolve '-//OASIS//ENTITIES DocBook Character Entities V4.5//EN' at /usr/lib64/perl5/vendor_perl/XML/Parser/Expat.pm line 480.
 at line 6 at /usr/lib64/perl5/vendor_perl/XML/Parser.pm line 187.
$ echo $?
255


$ cat catalog 
<catalog>
  <public publicId="-//OASIS//ENTITIES DocBook Character Entities V4.5//EN" uri="/usr/share/sgml/docbook/xml-dtd-4.5/dbcentx.mod"/>
  <nextCatalog catalog="/etc/xml/catalog" />
</catalog>


$ XML_CATALOG_FILES=catalog perl -e 'use XML::TreeBuilder; $xml_doc = XML::TreeBuilder->new(); $xml_doc->parse(<<EOL);
<?xml version="1.0" encoding="utf-8" ?>
<!DOCTYPE info [
<!ENTITY % sgml.features "IGNORE">
<!ENTITY % xml.features "INCLUDE">
<!ENTITY % DOCBOOK_ENTS PUBLIC "-//OASIS//ENTITIES DocBook Character Entities V4.5//EN" "http://www.oasis-open.org/docbook/xml/4.5/dbcentx.mod">
%DOCBOOK_ENTS;
]>
<info version="5.0" xmlns="http://docbook.org/ns/docbook" xmlns:xlink="http://www.w3.org/1999/xlink">
<title>Test</title>
 <subtitle>Test&nbsp; DocBook Entity</subtitle>
</info>
EOL
'
$ echo $?
0

Comment 5 Fedora End Of Life 2015-05-29 12:55:18 UTC
This message is a reminder that Fedora 20 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 20. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '20'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 20 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 6 Jan Kurik 2015-07-15 14:37:35 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 23 development cycle.
Changing version to '23'.

(As we did not run this process for some time, it could affect also pre-Fedora 23 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 23 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora23

Comment 7 Fedora End Of Life 2016-11-24 11:13:30 UTC
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

Comment 8 Fedora End Of Life 2016-12-20 12:53:46 UTC
Fedora 23 changed to end-of-life (EOL) status on 2016-12-20. Fedora 23 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.


Note You need to log in before you can comment on or make changes to this bug.